リストからレコードを削除
curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/{listId}/memberships/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
"<string>"
]'import requests
url = "https://api.hubapi.com/crm/v3/lists/{listId}/memberships/remove"
payload = ["<string>"]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify(['<string>'])
};
fetch('https://api.hubapi.com/crm/v3/lists/{listId}/memberships/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recordIdsMissing": [
"<string>"
],
"recordIdsRemoved": [
"<string>"
],
"recordsIdsAdded": [
"<string>"
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}メンバーシップ
Remove Records from a List
指定されたレコードをリストから削除します。存在しないレコードや、リストのメンバーでないレコードは無視されます。
このエンドポイントは、「processingType」が「MANUAL」または「SNAPSHOT」のリストでのみ機能します。
PUT
/
crm
/
v3
/
lists
/
{listId}
/
memberships
/
remove
リストからレコードを削除
Supported products
Supported products
Required Scopes
Required Scopes
承認
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
「MANUAL」または「SNAPSHOT」リストのILS ID。
ボディ
application/json
最終更新日 2026年4月10日
⌘I